/*
 * mcp4725.h
 *
 * Created: 20.05.2021 20:54:41
 *  Author: Dmitriy
 */ 
//#include <avr/io.h>
#include "main.h"
#ifndef CMP4725_H_
#define CMP4725_H_
#define MCP4725_BASEADDRESS (0xC0) //device base address
#define I2C_WRITE (0x00) // /

//registers
#define MCP4725_WRITEDAC 0x40
#define MCP4725_WRITEDACEEPROM 0x60
#define MCP4725_READDAC 0x03

extern void mcp4725_init(uint8_t address, uint8_t reset); 
extern void mcp4725_setrawoutputfast(uint8_t address, uint16_t rawoutput);
extern void mcp4725_setvoltagefast(uint8_t address, double voltage, double dacref); 

#endif /* CMP4725_H_ */