/*
 * I2C.c
 *
 * Created: 20.05.2021 12:40:27
 * Author : Dmitriy
 */ 

#define F_CPU 8000000UL
#include "main.h"
#include "TWI.h"
#include "mcp4725.h"
#include <stdio.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
//===============================================================================================================
int main(void)
{
   //set the chip address
   uint8_t address = 0x00;		// адрес устройства установленный пользователем (перемычка на плате DAC)
   uint8_t reset = 1;			// разрешение сброса при инициализации
   double voltage = 0.0;		// установленное значение выходного напряжения
   double dacref = 5.0;			// опорное напряжение DAC
   double  step_u = 0.01;		// шаг приращения напряжения

		
		mcp4725_init (address, reset);	// инициализация I2C и сброс DAC (если reset = 1)
		
	
    /* Replace with your application code */
//===============================================================================================================
    while (1) 
    {
		for (voltage=0; voltage<5; voltage=voltage + step_u)
		{
			//_delay_us(1);
			mcp4725_setvoltagefast (address, voltage, dacref);
			//_delay_us(1);
		}
		
    }
}

